# there is no actual arched content - this is a header only library
%global debug_package %{nil}

Name:           xsimd
Version:        11.1.0
Release:        %mkrel 1
Summary:        C++ wrappers for SIMD intrinsics
Group:          Development/Libraries
License:        BSD
URL:            https://xsimd.readthedocs.io/
Source0:        https://github.com/xtensor-stack/xsimd/archive/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake


%description
SIMD (Single Instruction, Multiple Data) is a feature of
microprocessors that has been available for many years. SIMD
instructions perform a single operation on a batch of values at once
and thus provide a way to significantly accelerate code
execution. However, these instructions differ between microprocessor
vendors and compilers.

xsimd provides a unified means for using these features for library
authors. Namely, it enables the manipulation of batches of numbers
with the same arithmetic operators as for single values. It also
provides an accelerated implementation of common mathematical
functions operating on batches.

%package devel
Summary:        Development files for xsimd
Group:          Development/Libraries
Provides:       %{name} = %{version}-%{release}

%description devel
SIMD (Single Instruction, Multiple Data) is a feature of
microprocessors that has been available for many years. SIMD
instructions perform a single operation on a batch of values at once
and thus provide a way to significantly accelerate code
execution. However, these instructions differ between microprocessor
vendors and compilers.

xsimd provides a unified means for using these features for library
authors. Namely, it enables the manipulation of batches of numbers
with the same arithmetic operators as for single values. It also
provides accelerated implementation of common mathematical functions
operating on batches.

This package contains the headers needed to compile programs that make
use of xsimd.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct 09 2023 tex - 11.1.0-1pclos2023
- new version: 11.1.0
